<!DOCTYPE html>
<html lang="en">

  <head>
    <meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

<meta property="og:title" content="Blogbits - Curing with Coffee and more. " />
<meta property="og:description" content="Every so often, Ideas In Food come up with a really cracking concept. Here&rsquo;s their latest one - curing meat and fish using roasted coffee beans . I HAVE to try this.
 Fresh meat with a shelf-life of 3 months? 100% microbacterial destruction at room temperature? I may get around to writing an entire article on the implications of high pressure pasturisation , but for now, marvel at the concept!" />
<meta property="og:type" content="article" />
<meta property="og:url" content="http://www.kamikazecookery.com/blogs/137" />


<meta property="og:updated_time" content="2009-03-27T11:43:39&#43;00:00"/>











<meta itemprop="name" content="Blogbits - Curing with Coffee and more. ">
<meta itemprop="description" content="Every so often, Ideas In Food come up with a really cracking concept. Here&rsquo;s their latest one - curing meat and fish using roasted coffee beans . I HAVE to try this.
 Fresh meat with a shelf-life of 3 months? 100% microbacterial destruction at room temperature? I may get around to writing an entire article on the implications of high pressure pasturisation , but for now, marvel at the concept!">


<meta itemprop="dateModified" content="2009-03-27T11:43:39&#43;00:00" />
<meta itemprop="wordCount" content="166">



<meta itemprop="keywords" content="" />



  <meta name="twitter:card" content="summary"/>



<meta name="twitter:title" content="Blogbits - Curing with Coffee and more. "/>
<meta name="twitter:description" content="Every so often, Ideas In Food come up with a really cracking concept. Here&rsquo;s their latest one - curing meat and fish using roasted coffee beans . I HAVE to try this.
 Fresh meat with a shelf-life of 3 months? 100% microbacterial destruction at room temperature? I may get around to writing an entire article on the implications of high pressure pasturisation , but for now, marvel at the concept!"/>










<meta name="generator" content="Hugo 0.18.1" />


    <link rel="canonical" href="http://www.kamikazecookery.com/blogs/137">

    <title>Blogbits - Curing with Coffee and more. | Kamikaze Cookery | Geeks cook – with SCIENCE.</title>

    <!-- combined, minified CSS -->
    <link href="../css/style.css" rel="stylesheet"   crossorigin="anonymous">

    

    

    

    
<style>
    .blog-masthead{
        background-color: #f66708; 
        margin-bottom: 0px; 
    }
    h2{
        text-align: center; 
        margin: 40px; 
    }
    .container img {
        display: block; 
        margin: 0 auto; 
    }
    h1{ 
        margin: 50px; 
        text-align: center; 
    }
</style>
  </head>

  <body>

<div id="disclaimer" style="display: block; visibility: visible; top: 0; width: 100%;        font-size: 25px; color: #eee; background-color: #333; border: 2px solid #888; margin-bottom: 30px; padding-left: 10%; padding-right: 10%;"> <a href="https://en.wikipedia.org/wiki/Strange_Company" style="color: #55c;">Strange Company</a>`s Director, <a href="https://www.heraldscotland.com/opinion/16060383.obituary-hugh-russell-paul-hancock-machinima-founder-virtual-reality-pioneer/" style="color: #55c;">Hugh Hancock</a>, died in 2018. <strong>Strange Company</strong> is no longer a registered Company. This site is part of his body of work, and as such it is hosted and maintained by a group of volunteers and as an archive of his work. A comprehensive list of the works being archived can be found <a href="https://strangecompany.org/archive/">here</a>. If you have any problems with the site,     please <a href="https://forms.gle/boqVcQxNyVvYFFEW7" style="color: #55c;">report them using this form</a>. </div>
    <a  href="../index.html"><div class="container" style="background-image: url(../images/cropped-Logo-final1.jpg); padding: 0px; background-size:cover; min-height: 360px"></div> </a> 
    <div class="blog-masthead">
      <div class="container">
      
        <nav class="nav blog-nav">
                   
          <a class="nav-link" href="../index.html">Episodes</a>
          <a class="nav-link" href="../about-kamikaze-cookery/index.html">About</a>
          <a class="nav-link" href="../blog/index.html">Blog</a>
          

        </nav>
      </div>
    </div>

    <div class="container">
      <div class="row">
        <div class="col-sm-12 blog-main">

          


<article class="blog-post">
  <header>
    <h2 class="blog-post-title"><a href="http://www.kamikazecookery.com/blogs/137">Blogbits - Curing with Coffee and more.</a></h2>
    <p class="blog-post-meta"><time datetime="2009-03-27T11:43:39Z">Fri Mar 27, 2009</time> by kamikazecook</p>
  </header>
  <ul>
<li><p>Every so often, Ideas In Food come up with a really cracking concept. Here&rsquo;s their latest one - curing meat and fish using <a href="https://feedproxy.google.com/%7Er/IdeasInFood/%7E3/hD9Ij2VecOw/coffee-cured-cobia.html">roasted coffee beans</a> . I HAVE to try this.</p></li>

<li><p>Fresh meat with a shelf-life of 3 months? 100% microbacterial destruction at room temperature? I may get around to writing an entire article on the implications of <a href="https://en.wikipedia.org/wiki/Fresherized">high pressure pasturisation</a> , but for now, marvel at the concept!</p></li>

<li><p>Do copper bowls actually help when whisking eggs? Yup! The copper <a href="https://en.wikipedia.org/wiki/Albumen#Copper_Bowl">helps the sulphur bonds tighten</a> - and apparently is perfectly safe due to only being incorporated into the egg in tiny amounts. (Which makes sense - otherwise well-used copper bowls would end up with a hole in the bottom). Apparently a tiny pinch of a health-food copper supplement will do the same trick.</p></li>

<li><p>Please do realise that when following suggestions from Kamikaze Cookery, you&rsquo;re often following advice from this man:</p></li>
</ul>

<p>!<a href="https://farm4.static.flickr.com/3561/3369851643_3311a4d503.jpg?v=0!">http://farm4.static.flickr.com/3561/3369851643_3311a4d503.jpg?v=0!</a></p>

<p>Photography by Erin Hardee, who has also done some rather wonderful <a href="https://www.flickr.com/photos/erindubitably/sets/72157614643985389/">lightbox food photography</a></p>


  

  
  <hr>
  <footer>

  
    <section>
    <h4>Share</h4>
    <nav class="nav sharing-icons">
      <a class="nav-item" href="https://www.facebook.com/sharer/sharer.php?u=http%3a%2f%2fwww.kamikazecookery.com%2fblogs%2f137" title="Share on Facebook"><span class="fa fa-facebook fa-2x" aria-hidden="true"></span></a>
      <a class="nav-item" href="https://plus.google.com/share?url=http%3a%2f%2fwww.kamikazecookery.com%2fblogs%2f137" title="Share on Google+"><span class="fa fa-google-plus fa-2x" aria-hidden="true"></span></a>
      <a class="nav-item" href="https://www.linkedin.com/shareArticle?mini=true&amp;url=http%3a%2f%2fwww.kamikazecookery.com%2fblogs%2f137" title="Share on LinkedIn"><span class="fa fa-linkedin fa-2x" aria-hidden="true"></span></a>
      <a class="nav-item" href="https://twitter.com/home?status=http%3a%2f%2fwww.kamikazecookery.com%2fblogs%2f137" title="Tweet this"><span class="fa fa-twitter fa-2x"></span></a>
    </nav>
  </section>

  

  
  </footer>
  

</article> 



        </div> <!-- /.blog-main -->


      </div> <!-- /.row -->
    </div> <!-- /.container -->

    <footer class="blog-footer">
      <p>
      
      Blog template created by <a href="https://twitter.com/mdo">@mdo</a>, ported to Hugo by <a href='https://twitter.com/mralanorth'>@mralanorth</a>.
      
      </p>
      <p>
      <a href="137.html#">Back to top</a>
      </p>
    </footer>
<script>
  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');

  ga('create', 'UA-696676-8', 'auto');
  ga('send', 'pageview');

</script>
  </body>

</html>
